# frozen_string_literal: true

# SPDX-License-Identifier: Apache-2.0

require_relative "gitlab-to-doap/version"
require_relative "gitlab-to-doap/utilities"
require_relative "gitlab-to-doap/xml"

class GitlabToDoap
  class Error < StandardError; end
  include GitlabToDoap::Utilities
  include GitlabToDoap::XML

  def initialize(gitlab_endpoint, gitlab_token)
    @gitlab_endpoint = gitlab_endpoint
    @gitlab_api_token = gitlab_token
  end
end
