# GITLAB-TO-DOAP 1

## SYNOPSIS

    gitlab-to-doap [OPTIONS] user/project

## DESCRIPTION

Given a Gitlab personal token and a Gitlab project, produce a DOAP XML file.

## OPTIONS

* *-h*, *--help*: Show a summary of usage
* *-v*, *--version*: Print the version to stdout and immediately quit
* *-f*, *--file*: Instead of printing the XML to stdout, write it to this file. Will clobber any existing file without prompting.

## ENVIRONMENT VARIABLES

Two environment variables are needed to authenticate gitlab-to-doap with a given Gitlab instance.

* *GITLAB_API_ENDPOINT*: Full URL to the Gitlab instance. Must end with /api/v4.
* *GITLAB_API_PRIVATE_TOKEN*: Your personal access token to the Gitlab instance.

## BUGS AND OTHER REQUESTS

If you find any bugs send me an email at bugs@aether.earth. I'll try to respond quickly. I also look forward to any features or other requests!
