# -*- encoding: utf-8 -*-
# stub: gitlab-to-doap 0.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "gitlab-to-doap".freeze
  s.version = "0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "allowed_push_host" => "https://rubygems.org", "changelog_uri" => "https://code.aether.earth/nogweii/gitlab-to-doap/TODO", "homepage_uri" => "https://code.aether.earth/nogweii/gitlab-to-doap", "source_code_uri" => "https://code.aether.earth/nogweii/gitlab-to-doap" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Nogweii".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-12-31"
  s.description = "Given a gitlab personal token (https://docs.gitlab.com/ce/user/profile/personal_access_tokens.html) and a gitlab project, produce a DOAP (https://github.com/ewilderj/doap/wiki) XML file.\n".freeze
  s.email = ["me@nogweii.net".freeze]
  s.executables = ["gitlab-to-doap".freeze]
  s.files = ["exe/gitlab-to-doap".freeze]
  s.homepage = "https://code.aether.earth/nogweii/gitlab-to-doap".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Given a gitlab personal token (https://docs.gitlab.com/ce/user/profile/personal_access_tokens.html) and a gitlab project, produce a DOAP (https://github.com/ewilderj/doap/wiki) XML file.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<builder>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<gitlab>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<redcarpet>.freeze, ["~> 3.5"])
    s.add_runtime_dependency(%q<tty-option>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<tty-screen>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
  else
    s.add_dependency(%q<builder>.freeze, ["~> 3.0"])
    s.add_dependency(%q<gitlab>.freeze, ["~> 4.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.5"])
    s.add_dependency(%q<tty-option>.freeze, ["~> 0.1"])
    s.add_dependency(%q<tty-screen>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
  end
end
